
QGIS Application - Bug report #5204

Create grid: wrong extent with OTF

2012-03-19 09:33 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14943

Description

    -  Activate OTF reprojection

    -  Create a grid based on the extent of a layer that is in a different SRS from that of the project

    -  The resulting grid is in the project SRS, but with the extent in the other SRS, so it is wrong.

Associated revisions

Revision c367a35c - 2012-05-22 04:52 PM - Alexander Bruy

create vector grid in layer CRS (fix #5204)

History

#1 - 2012-05-22 05:16 AM - Alexander Bruy

When OTFR activated, output grid should be in project CRS and have coordinates in this CRS, right?

#2 - 2012-05-22 07:02 AM - Paolo Cavallini

May be better having coordinates and extent in CRS of the layer of origin? After all, the grid is made to be superimposed to the original layer.

#3 - 2012-05-22 08:00 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"c367a35ce9ae468660d2b25de9c04ec3613102bb".

#4 - 2012-05-22 08:02 AM - Alexander Bruy

- Resolution set to fixed

Ok, I modified this tool to create grid in layer CRS. Please reopen if necessary

#5 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
